%define subversion 2
Name: xarchive
Version: 0.2.8
Release: alt1

Summary: XArchive Manager
License: BSD
Group: File tools

Url: http://xarchive.sourceforge.net/
Source: %name-%version-%subversion.tar.gz
Packager: Eugene Ostapets <eostapets@altlinux.ru>


# Automatically added by buildreq on Tue Nov 15 2005
BuildRequires: fontconfig-devel freetype2-devel glib2-devel libgtk+2-devel libpango-devel pkg-config XFree86-devel libpng3-devel

%description
XArchive is a little different from your average bear.

You see, it's not designed for any specific set of command line archiving tools. Instead XArchive uses external wrappers to talk to the command line tools. When XArchive starts up it checks it's wrapper directory, consulting each wrapper found to see if the appropriate command line tools are installed and, if so, what file types are supported. This means that a new archive format can easily be supported by just writing a wrapper for it's command line tool and dropping it in the wrappers directory.

Currently there are bash shell wrappers for: rar, tar, zip, and ace

(ace supported using unace, so only reading and extracting available).

Having these wrappers as fairly simple bash shell scripts means they are quite easily copied and modified to add support for different tools. In fact, once I had the tar-wrap.sh written and fully functional, making the zip-wrap.sh, rar-wrap.sh, and ace-wrap.sh from it took less than an hour.

%prep
%setup -q -n %name-%version-%subversion

%build
%configure

%make

%install
%make DESTDIR=%buildroot install
%__mv %buildroot%_datadir/doc/%name %buildroot%_datadir/doc/%name-%version
%post
%update_menus

%postun
%clean_menus

%files
%_bindir/*
%_datadir/applications/*.desktop
%_mandir/*/*
%dir %_libdir/%name
%_libdir/%name/*
%_datadir/pixmaps/*
%doc AUTHORS ChangeLog NEWS README

%changelog
* Fri Dec 02 2005 Eugene Ostapets <eostapets@altlinux.ru> 0.2.8-alt1
- 0.2.8

* Tue Nov 15 2005 Eugene Ostapets <eostapets@altlinux.ru> 0.2.6-alt1
- 0.2.6
- remove generation .menu files from .desktop 

* Thu Jul 5 2005 Eugene Ostapets <eostapets@altlinux.ru> 0.1.8-alt1
- build for ALT Linux
